Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ReportChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ReportChat

Enclosing class:
  TdApi

public static final class TdApi.ReportChat extends TdApi.Function<TdApi.Ok>
Reports a chat to the Telegram moderators. A chat can be reported only from the chat action bar, or if chat.canBeReported.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long[]`
`messageIds`
Identifiers of reported messages; may be empty to report the whole chat.
`TdApi.ReportReason`
`reason`
The reason for reporting the chat.
`String`
`text`
Additional report details; 0-1024 characters.

## Constructor Summary

Constructors
Constructor
Description
`ReportChat()`
Reports a chat to the Telegram moderators.
`ReportChat(long chatId, long[] messageIds, TdApi.ReportReason reason, String text)`
Reports a chat to the Telegram moderators.
`ReportChat(DataInput input)`
Reports a chat to the Telegram moderators.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageIds

public long[] messageIds
Identifiers of reported messages; may be empty to report the whole chat.

### reason

public TdApi.ReportReason reason
The reason for reporting the chat.

### text

public String text
Additional report details; 0-1024 characters.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ReportChat

public ReportChat()
Reports a chat to the Telegram moderators. A chat can be reported only from the chat action bar, or if chat.canBeReported.

Returns `Ok`

### ReportChat

public ReportChat(long chatId, long[] messageIds, TdApi.ReportReason reason, String text)
Reports a chat to the Telegram moderators. A chat can be reported only from the chat action bar, or if chat.canBeReported.

Returns `Ok`

Parameters:
  `chatId` - Chat identifier.
  `messageIds` - Identifiers of reported messages; may be empty to report the whole chat.
  `reason` - The reason for reporting the chat.
  `text` - Additional report details; 0-1024 characters.

  Returns `Ok`

### ReportChat

public ReportChat(DataInput input) throws IOException
Reports a chat to the Telegram moderators. A chat can be reported only from the chat action bar, or if chat.canBeReported.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`